import request from 'src/utils/request'

// 查询班组管理列表
export function listClassGroup(query) {
  return request({
    url: '/qrcode/device/classGroup/list',
    method: 'get',
    params: query
  })
}

// 查询班组管理详细
export function getClassGroup(id) {
  return request({
    url: '/qrcode/device/classGroup/' + id,
    method: 'get'
  })
}

// 新增班组管理
export function addClassGroup(data) {
  return request({
    url: '/qrcode/device/classGroup',
    method: 'post',
    data: data
  })
}

// 修改班组管理
export function updateClassGroup(data) {
  return request({
    url: '/qrcode/device/classGroup',
    method: 'put',
    data: data
  })
}

// 删除班组管理
export function delClassGroup(id) {
  return request({
    url: '/qrcode/device/classGroup/' + id,
    method: 'delete'
  })
}
